<?php get_header(); ?>



   <div class="welcome">
      <?php if ( ! dynamic_sidebar( 'Welcome Widget' ) ) : ?>
        <!--Widgetized 'Request' for the home page-->
      <?php endif ?>
   </div>
   
   
   
   
   
   <div class="custom-posts">
      <?php $loop = new WP_Query(array('post_type' => 'custom', 'posts_per_page' => 3)); ?>
         <ul>
            <?php if ($loop->have_posts()): ?>
            <?php $posts_counter = 0; ?>
            <?php while ($loop->have_posts()) : $loop->the_post(); $posts_counter++; ?>
            <li id="custom-<?php echo $posts_counter; ?>">
               <div>
               	<strong><a href="<?php the_permalink(); ?>"><?php the_title(''); ?></a></strong>
               	<p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,24);?></p>
               </div>
            </li>
            <?php endwhile; ?>
         </ul>
      <?php endif; ?>
   </div>
   
   

   <div id="slider-code">
      <a class="buttons prev" href="#"></a>
      <div class="viewport">
         <?php $loop = new WP_Query(array('post_type' => 'carousel', 'posts_per_page' => 12)); ?>
         <?php if ($loop->have_posts()): ?>
         <ul class="overview">
            <?php while ($loop->have_posts()) :	$loop->the_post(); ?>
            <li>
               <b class="thumbnail"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(''); ?><span></span></a></b>
               <h5><?php the_title(); ?></h5>
               <p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,22);?></p>
               <strong class="link"><a href="<?php the_permalink(); ?>">Read more</a></strong>
            </li>
            <?php endwhile; ?>
         </ul>
         <?php endif; ?>
      </div>
      <a class="buttons next" href="#"></a>
   </div>
   
   
   
   
   <div class="wrapper indent-bot">
   	
      <div class="grid_12 alpha">
			<?php if ( ! dynamic_sidebar( 'Content Widget Left' ) ) : ?>
            <!-- Widgetized Header -->
         <?php endif ?>
      </div>
      
      <div class="grid_12 omega">
			<?php if ( ! dynamic_sidebar( 'Content Widget Right' ) ) : ?>
            <!-- Widgetized Header -->
         <?php endif ?>
      </div>
      
   </div>
   
   
   
   
   <div class="client">
   	<div class="inner">
      	<div class="wrapper">
         	
				<?php $loop = new WP_Query(array('post_type' => 'clients', 'posts_per_page' => 4)); ?>
            <?php if ($loop->have_posts()): ?>
               <ul>
                  <?php while ($loop->have_posts()) :	$loop->the_post(); ?>
                     <li>
                        <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(''); ?></a>
                     </li>
                  <?php endwhile; ?>
               </ul>
            <?php endif; ?>
            
         </div>
      </div>
   </div>


<?php get_footer(); ?>
