<?php
/**
 * Template Name: Blog
 */

get_header(); ?>
<div id="content" class="grid_17 suffix_1 alpha">
  
  <h1><b><?php the_title(); ?></b></h1>
  
  <?php
  $temp = $wp_query;
  $wp_query= null;
  $wp_query = new WP_Query();
  $wp_query->query('showposts=4'.'&paged='.$paged);
  ?>
	<?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
      <h5 class="extra"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h5>
      <div class="post-content">
		  <?php echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; ?>
        <div class="excerpt"><p><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,72);?></p></div>
      </div>
      <div class="post-info">
      	<div class="comments"><?php comments_popup_link('No comments', 'One comment', '% comments', 'comments-link', 'Comments are closed'); ?></div>
      	<div class="link"><a href="<?php the_permalink() ?>">Read more</a></div>
      </div>
    </article>
    
  <?php endwhile; ?>
  
  <?php if ( $wp_query->max_num_pages > 1 ) : ?>
    <nav class="oldernewer">
      <div class="older">
        <?php next_posts_link('&laquo; Older Entries') ?>
      </div><!--.older-->
      <div class="newer">
        <?php previous_posts_link('Newer Entries &raquo;') ?>
      </div><!--.newer-->
    </nav><!--.oldernewer-->
  <?php endif; ?>
  
  <?php $wp_query = null; $wp_query = $temp;?>

</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>
